/*
 * ExactPatternMatchingAutomaton.cpp
 *
 *  Created on: 9. 2. 2014
 *      Author: Jan Travnicek
 */

#include "ExactPatternMatchingAutomaton.h"
#include <registration/AlgoRegistration.hpp>

namespace arbology {

namespace exact {

auto ExactPatternMatchingAutomatonPrefixRankedTree = registration::AbstractRegister < ExactPatternMatchingAutomaton, automaton::InputDrivenNPDA < common::ranked_symbol < DefaultSymbolType, DefaultRankType >, char, unsigned >, const tree::PrefixRankedTree < > & > ( ExactPatternMatchingAutomaton::construct );

auto ExactPatternMatchingAutomatonPrefixRankedPattern = registration::AbstractRegister < ExactPatternMatchingAutomaton, automaton::NPDA < common::ranked_symbol < DefaultSymbolType, DefaultRankType >, char, unsigned >, const tree::PrefixRankedPattern < > & > ( ExactPatternMatchingAutomaton::construct );

auto ExactPatternMatchingAutomatonPrefixRankedBarTree = registration::AbstractRegister < ExactPatternMatchingAutomaton, automaton::InputDrivenNPDA < common::ranked_symbol < DefaultSymbolType, DefaultRankType >, char, unsigned >, const tree::PrefixRankedBarTree < > & > ( ExactPatternMatchingAutomaton::construct );

auto ExactPatternMatchingAutomatonPrefixRankedBarPattern = registration::AbstractRegister < ExactPatternMatchingAutomaton, automaton::VisiblyPushdownNPDA < common::ranked_symbol < DefaultSymbolType, DefaultRankType >, char, unsigned >, const tree::PrefixRankedBarPattern < > & > ( ExactPatternMatchingAutomaton::construct );

auto ExactPatternMatchingAutomatonRankedTree = registration::AbstractRegister < ExactPatternMatchingAutomaton, automaton::NFTA < DefaultSymbolType, DefaultRankType, unsigned >, const tree::RankedTree < > & > ( ExactPatternMatchingAutomaton::construct );

auto ExactPatternMatchingAutomatonRankedPattern = registration::AbstractRegister < ExactPatternMatchingAutomaton, automaton::NFTA < DefaultSymbolType, DefaultRankType, unsigned >, const tree::RankedPattern < > & > ( ExactPatternMatchingAutomaton::construct );

} /* namespace exact */

} /* namespace arbology */
