/*
 * ToGrammarRightRG.cpp
 *
 *  Created on: 9. 2. 2014
 *      Author: Tomas Pecka
 */

#include "ToGrammarRightRG.h"
#include <registration/AlgoRegistration.hpp>

namespace automaton {

namespace convert {

auto ToGrammarRightRGNFA = registration::AbstractRegister < ToGrammarRightRG, grammar::RightRG < >, const automaton::NFA < > & > ( ToGrammarRightRG::convert, "automaton" ).setDocumentation (
"Performs the conversion of the finite automaton to right regular grammar.\n\
\n\
@param automaton a finite automaton to convert\n\
@return right regular grammar equivalent to the source @p automaton." );

auto ToGrammarRightRGDFA = registration::AbstractRegister < ToGrammarRightRG, grammar::RightRG < >, const automaton::DFA < > & > ( ToGrammarRightRG::convert, "automaton" ).setDocumentation (
"Performs the conversion of the finite automaton to right regular grammar.\n\
\n\
@param automaton a finite automaton to convert\n\
@return right regular grammar equivalent to the source @p automaton." );

} /* namespace convert */

} /* namespace automaton */
