/*
 * SimpleRulesRemover.cpp
 *
 *  Created on: 24. 11. 2014
 *	  Author: Jan Travnicek
 */

#include "SimpleRulesRemover.h"
#include <registration/AlgoRegistration.hpp>

namespace grammar {

namespace simplify {

auto SimpleRulesRemoverCFG = registration::AbstractRegister < SimpleRulesRemover, grammar::CFG < >, const grammar::CFG < > & > ( SimpleRulesRemover::remove, "grammar" ).setDocumentation (
"Removes simple rules from the given grammar.\n\
\n\
@param grammar the modified grammar\n\
@return grammar without simple rules" );

auto SimpleRulesRemoverEpsilonFreeCFG = registration::AbstractRegister < SimpleRulesRemover, grammar::EpsilonFreeCFG < >, const grammar::EpsilonFreeCFG < > & > ( SimpleRulesRemover::remove, "grammar" ).setDocumentation (
"Removes simple rules from the given grammar.\n\
\n\
@param grammar the modified grammar\n\
@return grammar without simple rules" );

auto SimpleRulesRemoverCNF = registration::AbstractRegister < SimpleRulesRemover, grammar::CNF < >, const grammar::CNF < > & > ( SimpleRulesRemover::remove, "grammar" ).setDocumentation (
"Removes simple rules from the given grammar.\n\
\n\
@param grammar the modified grammar\n\
@return grammar without simple rules" );

auto SimpleRulesRemoverGNF = registration::AbstractRegister < SimpleRulesRemover, grammar::GNF < >, const grammar::GNF < > & > ( SimpleRulesRemover::remove, "grammar" ).setDocumentation (
"Removes simple rules from the given grammar.\n\
\n\
@param grammar the modified grammar\n\
@return grammar without simple rules" );

auto SimpleRulesRemoverLG = registration::AbstractRegister < SimpleRulesRemover, grammar::LG < >, const grammar::LG < > & > ( SimpleRulesRemover::remove, "grammar" ).setDocumentation (
"Removes simple rules from the given grammar.\n\
\n\
@param grammar the modified grammar\n\
@return grammar without simple rules" );

auto SimpleRulesRemoverLeftLG = registration::AbstractRegister < SimpleRulesRemover, grammar::LeftLG < >, const grammar::LeftLG < > & > ( SimpleRulesRemover::remove, "grammar" ).setDocumentation (
"Removes simple rules from the given grammar.\n\
\n\
@param grammar the modified grammar\n\
@return grammar without simple rules" );

auto SimpleRulesRemoverLeftRG = registration::AbstractRegister < SimpleRulesRemover, grammar::LeftRG < >, const grammar::LeftRG < > & > ( SimpleRulesRemover::remove, "grammar" ).setDocumentation (
"Removes simple rules from the given grammar.\n\
\n\
@param grammar the modified grammar\n\
@return grammar without simple rules" );

auto SimpleRulesRemoverRightLG = registration::AbstractRegister < SimpleRulesRemover, grammar::RightLG < >, const grammar::RightLG < > & > ( SimpleRulesRemover::remove, "grammar" ).setDocumentation (
"Removes simple rules from the given grammar.\n\
\n\
@param grammar the modified grammar\n\
@return grammar without simple rules" );

auto SimpleRulesRemoverRightRG = registration::AbstractRegister < SimpleRulesRemover, grammar::RightRG < >, const grammar::RightRG < > & > ( SimpleRulesRemover::remove, "grammar" ).setDocumentation (
"Removes simple rules from the given grammar.\n\
\n\
@param grammar the modified grammar\n\
@return grammar without simple rules" );

} /* namespace simplify */

} /* namespace grammar */
