/*
 * RegExpAlternate.cpp
 *
 *  Created on: 17. 10. 2014
 *	  Author: Jan Travnicek
 */

#include "RegExpAlternate.h"
#include <registration/AlgoRegistration.hpp>

namespace regexp {

auto RegExpAlternateFormalRegExp = registration::AbstractRegister < RegExpAlternate, regexp::FormalRegExp < >, const regexp::FormalRegExp < > &, const regexp::FormalRegExp < > & > ( RegExpAlternate::alternate, "first", "second" ).setDocumentation (
"Implements alternation of two regular expressions.\n\
\n\
@param first the first regexp to alternate\n\
@param second the second regexp to alternate\n\
@return regexp describing first + second" );

auto RegExpAlternateUnboundedRegExp = registration::AbstractRegister < RegExpAlternate, regexp::UnboundedRegExp < >, const regexp::UnboundedRegExp < > &, const regexp::UnboundedRegExp < > & > ( RegExpAlternate::alternate, "first", "second" ).setDocumentation (
"Implements alternation of two regular expressions.\n\
\n\
@param first the first regexp to alternate\n\
@param second the second regexp to alternate\n\
@return regexp describing first + second" );

} /* namespace regexp */
