/*
 * ExactMatchingAutomaton.cpp
 *
 *  Created on: 9. 2. 2014
 *      Author: Jan Travnicek
 */

#include "GeneralizedLevenshteinMatchingAutomaton.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace matching {

auto GeneralizedLevenshteinMatchingAutomatonLinearString = registration::AbstractRegister < GeneralizedLevenshteinMatchingAutomaton, automaton::EpsilonNFA < DefaultSymbolType, ext::pair<unsigned int, unsigned int> >, const string::LinearString < > & , unsigned int> ( GeneralizedLevenshteinMatchingAutomaton::construct );

auto GeneralizedLevenshteinMatchingAutomatonWildcardLinearString = registration::AbstractRegister < GeneralizedLevenshteinMatchingAutomaton, automaton::EpsilonNFA < DefaultSymbolType, ext::pair<unsigned int, unsigned int> >, const string::WildcardLinearString < > & , unsigned int> ( GeneralizedLevenshteinMatchingAutomaton::construct );


} /* namespace matching */

} /* namespace stringology */
