/*
 * LevenshteinSequenceMatchingAutomaton.cpp
 *
 *  Created on: 29. 3. 2018
 *      Author: Tomas Capek
 */

#include "GeneralizedLevenshteinSequenceMatchingAutomaton.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace matching {

auto GeneralizedLevenshteinSequenceMatchingAutomatonLinearString = registration::AbstractRegister <GeneralizedLevenshteinSequenceMatchingAutomaton, automaton::EpsilonNFA < DefaultSymbolType, ext::pair<unsigned int, unsigned int> >, const string::LinearString < > &, unsigned > ( GeneralizedLevenshteinSequenceMatchingAutomaton::construct );

auto GeneralizedLevenshteinSequenceMatchingAutomatonWildcardLinearString = registration::AbstractRegister <GeneralizedLevenshteinSequenceMatchingAutomaton, automaton::EpsilonNFA < DefaultSymbolType, ext::pair<unsigned int, unsigned int> >, const string::WildcardLinearString < > &, unsigned > ( GeneralizedLevenshteinSequenceMatchingAutomaton::construct );

} /* namespace matching */

} /* namespace stringology */
