/*
 * HammingSequenceMatchingAutomaton.cpp
 *
 *  Created on: 29. 3. 2018
 *      Author: Tomas Capek
 */

#include "HammingSequenceMatchingAutomaton.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace matching {

auto HammingSequenceMatchingAutomatonLinearString = registration::AbstractRegister <HammingSequenceMatchingAutomaton, automaton::NFA < DefaultSymbolType, ext::pair<unsigned int, unsigned int> >, const string::LinearString < > &, unsigned > ( HammingSequenceMatchingAutomaton::construct );

auto HammingSequenceMatchingAutomatonWildcardStringLinearString = registration::AbstractRegister <HammingSequenceMatchingAutomaton, automaton::NFA < DefaultSymbolType, ext::pair<unsigned int, unsigned int> >, const string::WildcardLinearString < > &, unsigned > ( HammingSequenceMatchingAutomaton::construct );

} /* namespace matching */

} /* namespace stringology */
