/*
 * LevenshteinSequenceMatchingAutomaton.cpp
 *
 *  Created on: 29. 3. 2018
 *      Author: Tomas Capek
 */

#include "LevenshteinSequenceMatchingAutomaton.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace matching {

auto LevenshteinSequenceMatchingAutomatonLinearString = registration::AbstractRegister <LevenshteinSequenceMatchingAutomaton, automaton::EpsilonNFA < DefaultSymbolType, ext::pair<unsigned int, unsigned int> >, const string::LinearString < > &, unsigned > ( LevenshteinSequenceMatchingAutomaton::construct );

auto LevenshteinSequenceMatchingAutomatonWildcardLinearString = registration::AbstractRegister <LevenshteinSequenceMatchingAutomaton, automaton::EpsilonNFA < DefaultSymbolType, ext::pair<unsigned int, unsigned int> >, const string::WildcardLinearString < > &, unsigned > ( LevenshteinSequenceMatchingAutomaton::construct );

} /* namespace matching */

} /* namespace stringology */
